#!/usr/bin/bash

VERSION=$(grep Version ../SPECS/alacritty.spec | grep -v Up | cut -d: -f2 | sed -e 's|^[[:space:]]*||')
NAME=$(grep Name ../SPECS/alacritty.spec | cut -d: -f2 | sed -e 's|^[[:space:]]*||')

if [ ! -f ${NAME}-${VERSION}.tar.gz ]; then
	echo "${NAME}: Downloading source"
	wget -q https://github.com/alacritty/alacritty/archive/refs/tags/v${VERSION}.tar.gz -O ${NAME}-${VERSION}.tar.gz
fi

echo "${NAME}: Preparing"
tar xfz ${NAME}-${VERSION}.tar.gz
cd ${NAME}-${VERSION}
echo "${NAME}: Running cargo vendor"
mkdir .cargo
cargo vendor -s Cargo.toml > .cargo/config
cp .cargo/config ../cargo.config
tar cf ../${NAME}-cargo-vendor-${VERSION}.tar vendor
cd ..
echo "${NAME}: Compressing the archive"
xz -T 0 ${NAME}-cargo-vendor-${VERSION}.tar
#rm -rf ${NAME}-${VERSION}
echo "${NAME}: Done"
